Android OS 5 and higher issue connecting to email.psu.edu

ITS is aware that Android phones using OS version 5 and greater are experiencing problems connecting to email.psu.edu for both POP and IMAP. ITS is researching on a solution.

More information: Android OS 5 and higher issue connecting to email.psu.edu

Story added 1. October 2015, content source with full text you can find at link above.